## org.apache.poi.hwpf.model.types
Class TCAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.TCAbstractType

Direct Known Subclasses:
  TableCellDescriptor

    @Internal
    public abstract class TCAbstractType

extends java.lang.Object

Table Cell Descriptor.

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  S. Ryan Ackley. Field descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

Field Summary
`protected short` `field_1_rgf`
`protected byte` `field_10_ftsCellPaddingBottom`
`protected byte` `field_11_ftsCellPaddingRight`
`protected short` `field_12_wCellSpacingLeft`
`protected short` `field_13_wCellSpacingTop`
`protected short` `field_14_wCellSpacingBottom`
`protected short` `field_15_wCellSpacingRight`
`protected byte` `field_16_ftsCellSpacingLeft`
`protected byte` `field_17_ftsCellSpacingTop`
`protected byte` `field_18_ftsCellSpacingBottom`
`protected byte` `field_19_ftsCellSpacingRight`
`protected short` `field_2_wWidth`
`protected BorderCode` `field_20_brcTop`
`protected BorderCode` `field_21_brcLeft`
`protected BorderCode` `field_22_brcBottom`
`protected BorderCode` `field_23_brcRight`
`protected ShadingDescriptor` `field_3_shd`
`protected short` `field_4_wCellPaddingLeft`
`protected short` `field_5_wCellPaddingTop`
`protected short` `field_6_wCellPaddingBottom`
`protected short` `field_7_wCellPaddingRight`
`protected byte` `field_8_ftsCellPaddingLeft`
`protected byte` `field_9_ftsCellPaddingTop`

Constructor Summary
`protected` `TCAbstractType()`

Method Summary
`BorderCode` `getBrcBottom()` Bottom border.
`BorderCode` `getBrcLeft()` Left border.
`BorderCode` `getBrcRight()` Right border.
`BorderCode` `getBrcTop()` Top border.
`byte` `getFtsCellPaddingBottom()` Bottom cell margin/padding units.
`byte` `getFtsCellPaddingLeft()` Left cell margin/padding units.
`byte` `getFtsCellPaddingRight()` Right cell margin/padding units.
`byte` `getFtsCellPaddingTop()` Top cell margin/padding units.
`byte` `getFtsCellSpacingBottom()` Bottom cell spacing units.
`byte` `getFtsCellSpacingLeft()` Left cell spacing units.
`byte` `getFtsCellSpacingRight()` Right cell spacing units.
`byte` `getFtsCellSpacingTop()` Top cell spacing units.
`byte` `getFtsWidth()` Units for wWidth
`byte` `getFUnused()` Not used
`short` `getRgf()` Get the rgf field for the TC record.
`ShadingDescriptor` `getShd()` Cell shading.
`byte` `getVertAlign()` Specifies the alignment of the cell contents relative to text flow (e.g.
`short` `getWCellPaddingBottom()` Bottom cell margin/padding.
`short` `getWCellPaddingLeft()` Left cell margin/padding.
`short` `getWCellPaddingRight()` Right cell margin/padding.
`short` `getWCellPaddingTop()` Top cell margin/padding.
`short` `getWCellSpacingBottom()` Bottom cell spacing.
`short` `getWCellSpacingLeft()` Left cell spacing.
`short` `getWCellSpacingRight()` Right cell spacing.
`short` `getWCellSpacingTop()` Top cell spacing.
`short` `getWWidth()` Preferred cell width.
`boolean` `isFBackward()` For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0
`boolean` `isFFirstMerged()` When 1, cell is first cell of a range of cells that have been merged.
`boolean` `isFFitText()` When 1, make the text fit the table cell
`boolean` `isFMerged()` When 1, cell has been merged with preceding cell
`boolean` `isFNoWrap()` When 1, do not allow text to wrap in the table cell
`boolean` `isFRotateFont()` When 1, cell has rotated characters (i.e.
`boolean` `isFVertical()` When 1, cell has vertical text flow
`boolean` `isFVertMerge()` When 1, cell is vertically merged with the cell(s) above and/or below.
`boolean` `isFVertRestart()` When 1, the cell is the first of a set of vertically merged cells.
`void` `setBrcBottom(BorderCode field_22_brcBottom)` Bottom border.
`void` `setBrcLeft(BorderCode field_21_brcLeft)` Left border.
`void` `setBrcRight(BorderCode field_23_brcRight)` Right border.
`void` `setBrcTop(BorderCode field_20_brcTop)` Top border.
`void` `setFBackward(boolean value)` Sets the fBackward field value.
`void` `setFFirstMerged(boolean value)` Sets the fFirstMerged field value.
`void` `setFFitText(boolean value)` Sets the fFitText field value.
`void` `setFMerged(boolean value)` Sets the fMerged field value.
`void` `setFNoWrap(boolean value)` Sets the fNoWrap field value.
`void` `setFRotateFont(boolean value)` Sets the fRotateFont field value.
`void` `setFtsCellPaddingBottom(byte field_10_ftsCellPaddingBottom)` Bottom cell margin/padding units.
`void` `setFtsCellPaddingLeft(byte field_8_ftsCellPaddingLeft)` Left cell margin/padding units.
`void` `setFtsCellPaddingRight(byte field_11_ftsCellPaddingRight)` Right cell margin/padding units.
`void` `setFtsCellPaddingTop(byte field_9_ftsCellPaddingTop)` Top cell margin/padding units.
`void` `setFtsCellSpacingBottom(byte field_18_ftsCellSpacingBottom)` Bottom cell spacing units.
`void` `setFtsCellSpacingLeft(byte field_16_ftsCellSpacingLeft)` Left cell spacing units.
`void` `setFtsCellSpacingRight(byte field_19_ftsCellSpacingRight)` Right cell spacing units.
`void` `setFtsCellSpacingTop(byte field_17_ftsCellSpacingTop)` Top cell spacing units.
`void` `setFtsWidth(byte value)` Sets the ftsWidth field value.
`void` `setFUnused(byte value)` Sets the fUnused field value.
`void` `setFVertical(boolean value)` Sets the fVertical field value.
`void` `setFVertMerge(boolean value)` Sets the fVertMerge field value.
`void` `setFVertRestart(boolean value)` Sets the fVertRestart field value.
`void` `setRgf(short field_1_rgf)` Set the rgf field for the TC record.
`void` `setShd(ShadingDescriptor field_3_shd)` Cell shading.
`void` `setVertAlign(byte value)` Sets the vertAlign field value.
`void` `setWCellPaddingBottom(short field_6_wCellPaddingBottom)` Bottom cell margin/padding.
`void` `setWCellPaddingLeft(short field_4_wCellPaddingLeft)` Left cell margin/padding.
`void` `setWCellPaddingRight(short field_7_wCellPaddingRight)` Right cell margin/padding.
`void` `setWCellPaddingTop(short field_5_wCellPaddingTop)` Top cell margin/padding.
`void` `setWCellSpacingBottom(short field_14_wCellSpacingBottom)` Bottom cell spacing.
`void` `setWCellSpacingLeft(short field_12_wCellSpacingLeft)` Left cell spacing.
`void` `setWCellSpacingRight(short field_15_wCellSpacingRight)` Right cell spacing.
`void` `setWCellSpacingTop(short field_13_wCellSpacingTop)` Top cell spacing.
`void` `setWWidth(short field_2_wWidth)` Preferred cell width.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_rgf

    protected short field_1_rgf

### field_2_wWidth

    protected short field_2_wWidth

### field_3_shd

    protected ShadingDescriptor field_3_shd

### field_4_wCellPaddingLeft

    protected short field_4_wCellPaddingLeft

### field_5_wCellPaddingTop

    protected short field_5_wCellPaddingTop

### field_6_wCellPaddingBottom

    protected short field_6_wCellPaddingBottom

### field_7_wCellPaddingRight

    protected short field_7_wCellPaddingRight

### field_8_ftsCellPaddingLeft

    protected byte field_8_ftsCellPaddingLeft

### field_9_ftsCellPaddingTop

    protected byte field_9_ftsCellPaddingTop

### field_10_ftsCellPaddingBottom

    protected byte field_10_ftsCellPaddingBottom

### field_11_ftsCellPaddingRight

    protected byte field_11_ftsCellPaddingRight

### field_12_wCellSpacingLeft

    protected short field_12_wCellSpacingLeft

### field_13_wCellSpacingTop

    protected short field_13_wCellSpacingTop

### field_14_wCellSpacingBottom

    protected short field_14_wCellSpacingBottom

### field_15_wCellSpacingRight

    protected short field_15_wCellSpacingRight

### field_16_ftsCellSpacingLeft

    protected byte field_16_ftsCellSpacingLeft

### field_17_ftsCellSpacingTop

    protected byte field_17_ftsCellSpacingTop

### field_18_ftsCellSpacingBottom

    protected byte field_18_ftsCellSpacingBottom

### field_19_ftsCellSpacingRight

    protected byte field_19_ftsCellSpacingRight

### field_20_brcTop

    protected BorderCode field_20_brcTop

### field_21_brcLeft

    protected BorderCode field_21_brcLeft

### field_22_brcBottom

    protected BorderCode field_22_brcBottom

### field_23_brcRight

    protected BorderCode field_23_brcRight

Constructor Detail

### TCAbstractType

    protected TCAbstractType()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRgf

    @Internal
    public short getRgf()

  Get the rgf field for the TC record.

### setRgf

    @Internal
    public void setRgf(short field_1_rgf)

  Set the rgf field for the TC record.

### getWWidth

    @Internal
    public short getWWidth()

  Preferred cell width.

### setWWidth

    @Internal
    public void setWWidth(short field_2_wWidth)

  Preferred cell width.

### getShd

    @Internal
    public ShadingDescriptor getShd()

  Cell shading.

### setShd

    @Internal
    public void setShd(ShadingDescriptor field_3_shd)

  Cell shading.

### getWCellPaddingLeft

    @Internal
    public short getWCellPaddingLeft()

  Left cell margin/padding.

### setWCellPaddingLeft

    @Internal
    public void setWCellPaddingLeft(short field_4_wCellPaddingLeft)

  Left cell margin/padding.

### getWCellPaddingTop

    @Internal
    public short getWCellPaddingTop()

  Top cell margin/padding.

### setWCellPaddingTop

    @Internal
    public void setWCellPaddingTop(short field_5_wCellPaddingTop)

  Top cell margin/padding.

### getWCellPaddingBottom

    @Internal
    public short getWCellPaddingBottom()

  Bottom cell margin/padding.

### setWCellPaddingBottom

    @Internal
    public void setWCellPaddingBottom(short field_6_wCellPaddingBottom)

  Bottom cell margin/padding.

### getWCellPaddingRight

    @Internal
    public short getWCellPaddingRight()

  Right cell margin/padding.

### setWCellPaddingRight

    @Internal
    public void setWCellPaddingRight(short field_7_wCellPaddingRight)

  Right cell margin/padding.

### getFtsCellPaddingLeft

    @Internal
    public byte getFtsCellPaddingLeft()

  Left cell margin/padding units.

### setFtsCellPaddingLeft

    @Internal
    public void setFtsCellPaddingLeft(byte field_8_ftsCellPaddingLeft)

  Left cell margin/padding units.

### getFtsCellPaddingTop

    @Internal
    public byte getFtsCellPaddingTop()

  Top cell margin/padding units.

### setFtsCellPaddingTop

    @Internal
    public void setFtsCellPaddingTop(byte field_9_ftsCellPaddingTop)

  Top cell margin/padding units.

### getFtsCellPaddingBottom

    @Internal
    public byte getFtsCellPaddingBottom()

  Bottom cell margin/padding units.

### setFtsCellPaddingBottom

    @Internal
    public void setFtsCellPaddingBottom(byte field_10_ftsCellPaddingBottom)

  Bottom cell margin/padding units.

### getFtsCellPaddingRight

    @Internal
    public byte getFtsCellPaddingRight()

  Right cell margin/padding units.

### setFtsCellPaddingRight

    @Internal
    public void setFtsCellPaddingRight(byte field_11_ftsCellPaddingRight)

  Right cell margin/padding units.

### getWCellSpacingLeft

    @Internal
    public short getWCellSpacingLeft()

  Left cell spacing.

### setWCellSpacingLeft

    @Internal
    public void setWCellSpacingLeft(short field_12_wCellSpacingLeft)

  Left cell spacing.

### getWCellSpacingTop

    @Internal
    public short getWCellSpacingTop()

  Top cell spacing.

### setWCellSpacingTop

    @Internal
    public void setWCellSpacingTop(short field_13_wCellSpacingTop)

  Top cell spacing.

### getWCellSpacingBottom

    @Internal
    public short getWCellSpacingBottom()

  Bottom cell spacing.

### setWCellSpacingBottom

    @Internal
    public void setWCellSpacingBottom(short field_14_wCellSpacingBottom)

  Bottom cell spacing.

### getWCellSpacingRight

    @Internal
    public short getWCellSpacingRight()

  Right cell spacing.

### setWCellSpacingRight

    @Internal
    public void setWCellSpacingRight(short field_15_wCellSpacingRight)

  Right cell spacing.

### getFtsCellSpacingLeft

    @Internal
    public byte getFtsCellSpacingLeft()

  Left cell spacing units.

### setFtsCellSpacingLeft

    @Internal
    public void setFtsCellSpacingLeft(byte field_16_ftsCellSpacingLeft)

  Left cell spacing units.

### getFtsCellSpacingTop

    @Internal
    public byte getFtsCellSpacingTop()

  Top cell spacing units.

### setFtsCellSpacingTop

    @Internal
    public void setFtsCellSpacingTop(byte field_17_ftsCellSpacingTop)

  Top cell spacing units.

### getFtsCellSpacingBottom

    @Internal
    public byte getFtsCellSpacingBottom()

  Bottom cell spacing units.

### setFtsCellSpacingBottom

    @Internal
    public void setFtsCellSpacingBottom(byte field_18_ftsCellSpacingBottom)

  Bottom cell spacing units.

### getFtsCellSpacingRight

    @Internal
    public byte getFtsCellSpacingRight()

  Right cell spacing units.

### setFtsCellSpacingRight

    @Internal
    public void setFtsCellSpacingRight(byte field_19_ftsCellSpacingRight)

  Right cell spacing units.

### getBrcTop

    @Internal
    public BorderCode getBrcTop()

  Top border.

### setBrcTop

    @Internal
    public void setBrcTop(BorderCode field_20_brcTop)

  Top border.

### getBrcLeft

    @Internal
    public BorderCode getBrcLeft()

  Left border.

### setBrcLeft

    @Internal
    public void setBrcLeft(BorderCode field_21_brcLeft)

  Left border.

### getBrcBottom

    @Internal
    public BorderCode getBrcBottom()

  Bottom border.

### setBrcBottom

    @Internal
    public void setBrcBottom(BorderCode field_22_brcBottom)

  Bottom border.

### getBrcRight

    @Internal
    public BorderCode getBrcRight()

  Right border.

### setBrcRight

    @Internal
    public void setBrcRight(BorderCode field_23_brcRight)

  Right border.

### setFFirstMerged

    @Internal
    public void setFFirstMerged(boolean value)

  Sets the fFirstMerged field value. When 1, cell is first cell of a range of cells that have been merged. When a cell is merged, the display areas of the merged cells are consolidated and the text within the cells is interpreted as belonging to one text stream for purposes of calculating line breaks.

### isFFirstMerged

    @Internal
    public boolean isFFirstMerged()

  When 1, cell is first cell of a range of cells that have been merged. When a cell is merged, the display areas of the merged cells are consolidated and the text within the cells is interpreted as belonging to one text stream for purposes of calculating line breaks.

  Returns:
    the fFirstMerged field value.

### setFMerged

    @Internal
    public void setFMerged(boolean value)

  Sets the fMerged field value. When 1, cell has been merged with preceding cell

### isFMerged

    @Internal
    public boolean isFMerged()

  When 1, cell has been merged with preceding cell

  Returns:
    the fMerged field value.

### setFVertical

    @Internal
    public void setFVertical(boolean value)

  Sets the fVertical field value. When 1, cell has vertical text flow

### isFVertical

    @Internal
    public boolean isFVertical()

  When 1, cell has vertical text flow

  Returns:
    the fVertical field value.

### setFBackward

    @Internal
    public void setFBackward(boolean value)

  Sets the fBackward field value. For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0

### isFBackward

    @Internal
    public boolean isFBackward()

  For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0

  Returns:
    the fBackward field value.

### setFRotateFont

    @Internal
    public void setFRotateFont(boolean value)

  Sets the fRotateFont field value. When 1, cell has rotated characters (i.e. uses @font)

### isFRotateFont

    @Internal
    public boolean isFRotateFont()

  When 1, cell has rotated characters (i.e. uses @font)

  Returns:
    the fRotateFont field value.

### setFVertMerge

    @Internal
    public void setFVertMerge(boolean value)

  Sets the fVertMerge field value. When 1, cell is vertically merged with the cell(s) above and/or below. When cells are vertically merged, the display area of the merged cells are consolidated. The consolidated area is used to display the contents of the first vertically merged cell (the cell with fVertRestart set to 1), and all other vertically merged cells (those with fVertRestart set to 0) must be empty. Cells can only be merged vertically if their left and right boundaries are (nearly) identical (i.e. if corresponding entries in rgdxaCenter of the table rows differ by at most 3).

### isFVertMerge

    @Internal
    public boolean isFVertMerge()

  When 1, cell is vertically merged with the cell(s) above and/or below. When cells are vertically merged, the display area of the merged cells are consolidated. The consolidated area is used to display the contents of the first vertically merged cell (the cell with fVertRestart set to 1), and all other vertically merged cells (those with fVertRestart set to 0) must be empty. Cells can only be merged vertically if their left and right boundaries are (nearly) identical (i.e. if corresponding entries in rgdxaCenter of the table rows differ by at most 3).

  Returns:
    the fVertMerge field value.

### setFVertRestart

    @Internal
    public void setFVertRestart(boolean value)

  Sets the fVertRestart field value. When 1, the cell is the first of a set of vertically merged cells. The contents of a cell with fVertStart set to 1 are displayed in the consolidated area belonging to the entire set of vertically merged cells. Vertically merged cells with fVertRestart set to 0 must be empty.

### isFVertRestart

    @Internal
    public boolean isFVertRestart()

  When 1, the cell is the first of a set of vertically merged cells. The contents of a cell with fVertStart set to 1 are displayed in the consolidated area belonging to the entire set of vertically merged cells. Vertically merged cells with fVertRestart set to 0 must be empty.

  Returns:
    the fVertRestart field value.

### setVertAlign

    @Internal
    public void setVertAlign(byte value)

  Sets the vertAlign field value. Specifies the alignment of the cell contents relative to text flow (e.g. in a cell with bottom to top text flow and bottom vertical alignment, the text is shifted horizontally to match the cell's right boundary)

### getVertAlign

    @Internal
    public byte getVertAlign()

  Specifies the alignment of the cell contents relative to text flow (e.g. in a cell with bottom to top text flow and bottom vertical alignment, the text is shifted horizontally to match the cell's right boundary)

  Returns:
    the vertAlign field value.

### setFtsWidth

    @Internal
    public void setFtsWidth(byte value)

  Sets the ftsWidth field value. Units for wWidth

### getFtsWidth

    @Internal
    public byte getFtsWidth()

  Units for wWidth

  Returns:
    the ftsWidth field value.

### setFFitText

    @Internal
    public void setFFitText(boolean value)

  Sets the fFitText field value. When 1, make the text fit the table cell

### isFFitText

    @Internal
    public boolean isFFitText()

  When 1, make the text fit the table cell

  Returns:
    the fFitText field value.

### setFNoWrap

    @Internal
    public void setFNoWrap(boolean value)

  Sets the fNoWrap field value. When 1, do not allow text to wrap in the table cell

### isFNoWrap

    @Internal
    public boolean isFNoWrap()

  When 1, do not allow text to wrap in the table cell

  Returns:
    the fNoWrap field value.

### setFUnused

    @Internal
    public void setFUnused(byte value)

  Sets the fUnused field value. Not used

### getFUnused

    @Internal
    public byte getFUnused()

  Not used

  Returns:
    the fUnused field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.